Bug 1015205 - Chart hovers get orphaned after screen refresh
Chart hovers get orphaned after screen refresh
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.10
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ER04
: RHQ 4.10
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: 1026607
  Show dependency treegraph
 
Reported: 2013-10-03 12:08 EDT by Mike Thompson
Modified: 2014-04-23 08:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:31:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Orphaned Hover (465.35 KB, image/jpeg)
2013-10-03 12:10 EDT, Mike Thompson
no flags Details

  None (edit)
Description Mike Thompson 2013-10-03 12:08:39 EDT
Description of problem:
The new chart hovers from BZ 949750 persist on the screen after a refresh.


Version-Release number of selected component (if applicable): RHQ 4.10


How reproducible: always


Steps to Reproduce:
1. Hover over a bar
2. wait for a screen refresh (while hover remains)
3. Once the screen redraws the hover still exists

Actual results:
Hover stays on screen, but no way to get rid of hovers (because the bar that created it with a mouseover and destroys it with a mouseout is gone.



Expected results:
The hovers should disappear after x seconds or with a click.
Comment 1 Mike Thompson 2013-10-03 12:10:10 EDT
Created attachment 807163 [details]
Orphaned Hover
Comment 2 Mike Thompson 2013-10-03 13:35:07 EDT
Added a timeout that will automatically remove the hover after 5 seconds.

Committed to master: 85dba81
Comment 3 Mike Thompson 2013-10-08 11:54:50 EDT
This also needs:

master commit: e05af63

To fix issue with toggling visibility in between refreshes. If a refresh comes along and refreshes the screen the selected state can get confused with a new state and toggling becomes confused. To the user they just lose the ability of hovers after a refresh! To combat this, explicit hide/show eliminates the statefulness of the toggle command.
Comment 4 Heiko W. Rupp 2014-04-23 08:31:33 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.